# UNICADO - UNIversity Conceptual Aircraft Design and Optimization
#
# Copyright (C) 2025 UNICADO consortium
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <https://www.gnu.org/licenses/>.
#
# Description:
# This file is part of UNICADO.

def write_to_log_file(path_of_working_directory_rce, current_workflow_name, log_file_list):
    """ writes a log_file_list into unicado_workflow.log

        The input string path_of_working_directory_rce contains the system path to the working directory of rce.

        The input string current_workflow_name contains the name of the current workflow execution.

        The input list log_file_list contains the strings of workflow log-file from the caller function.

        :param: path_of_working_directory_rce: input string
        :param: current_workflow_name: input string
        :param: log_file_list: input list
    """

    log_file = open(path_of_working_directory_rce + current_workflow_name + '/unicado_workflow.log', 'a')
    for row in log_file_list:
        log_file.write(row + '\n')
    log_file.close()